Welcome Inspire Pilots!
Join our free DJI Inspire community today!
Sign up

Does latest GO app require USB cable to my phone? Pitfalls to current app? Older version better?

Joined
May 29, 2014
Messages
80
Reaction score
11
I just purchased an Inspire 1v2 Black Edition. I have been flying DJI products since they came out, 107 cert, etc. I never needed (and still don't "need" an Inspire) but here I am.

Question: When I updated my DJI FPV a couple months ago after not updating for over a year I am now required to plug in my phone, as it apparently uses my phone as the remote ID.

If I use the current GO app for the Inspire, will it do the same thing? If so is there another GO app version that does not require log in and potentially updating against my will?

I am not opposed to RID, I have an external module, but want to get the basics going first. Also if others are flying older versions of GO app, are there pitfalls to the latest version?

Thanks in advance!
 
I just purchased an Inspire 1v2 Black Edition. I have been flying DJI products since they came out, 107 cert, etc. I never needed (and still don't "need" an Inspire) but here I am.

Question: When I updated my DJI FPV a couple months ago after not updating for over a year I am now required to plug in my phone, as it apparently uses my phone as the remote ID.

If I use the current GO app for the Inspire, will it do the same thing? If so is there another GO app version that does not require log in and potentially updating against my will?

I am not opposed to RID, I have an external module, but want to get the basics going first. Also if others are flying older versions of GO app, are there pitfalls to the latest version?

Thanks in advance!
The answer and the cure is legacy everything.

Legacy Go App on a legacy iPad running legacy iOS with legacy firmware installed on your Inspire 1. With all of the "good old stuff," your Inspire will fly like a top. The newer, the worser™.

I am running Go App v3.1.1. This works on my legacy iPads running iOS 12 or less (may work on later versions - untested). Aircraft firmware is v1.8.1.xx.

And before you ask, the forum is LOADED with information on these subjects.

D
 
The answer and the cure is legacy everything.

Legacy Go App on a legacy iPad running legacy iOS with legacy firmware installed on your Inspire 1. With all of the "good old stuff," your Inspire will fly like a top. The newer, the worser™.

I am running Go App v3.1.1. This works on my legacy iPads running iOS 12 or less (may work on later versions - untested). Aircraft firmware is v1.8.1.xx.

And before you ask, the forum is LOADED with information on these subjects.

D
Thank you very much for the info. Apparently I will need to get an iPad?... as I am an Android user and never had any Apple tablets for any of my other DJI drones :-( I am assuming there might be a place to download legacy apps?
 
Thank you very much for the info. Apparently I will need to get an iPad?... as I am an Android user and never had any Apple tablets for any of my other DJI drones :-(
To be clear, I'm no Apple fan boy and have honestly not used or cared for any Apple products until I got my Inspire 1. I have to say that the iPad has been rock solid reliable. I don't regret my purchase. The good news is that you can find used iPads on eBay for faily cheap. And even my most marginal 9.7" iPad Air 1 running iOS 12 (16GB) runs the legacy Go App and legacy Go 4 app (v3.1.1) flawlessly. That's the good news. The bad news is that EVERYTHING on these GD things has to be hacked. I have a hack to stop the iPad from updating and a hack for installing legacy apps, etc. It's not simple. It's not easy. But it IS robust a persistent. Once done, you never have to screw with it again.



I am assuming there might be a place to download legacy apps?
From the mouths of babes...

You will have to familiarize yourself with Charles Proxy to download legacy apps (.ipa files). And before you ask, no, I can't share the one's I have because they are married to my Apple account. You have to get your own using your own Apple credentials.

You will need legacy iTunes v12.5.4.42 to access your legacy iPad and to install legacy apps.
1713893065092.png


A number you will need is the "appextvrsid" number. For the Go App v3.1.1 the number is 819954562.

There is a YouTuber "DigDat0" who has a lot of good tutorials on how to use Charles Proxy to get legacy .ipa files.

While the above information seems pedestrian, it took me HOURS of research to figure this out. So you have been given a HUGE head start. So go...run...be free...

Best of luck.

D
 
  • Like
Reactions: CactusJackSlade
when you get dji go if you want to fly anywhere anytime and this works great with litchi mission hub I did this first time and thats been 4 or 5 years ago and my inspire 1v2 just connects and flys no questions asked here is a link to do the hack if you can get it done you,ll like it DJI Inspire 1 hacks - How to remove NFZ, Height Limits, modify flight parameters and increase maximum speeds i use a samsung etab or a lenovo 8 they work fine i can see best on the samsung ,i might have to look at an i pad
 
Last edited:
  • Like
Reactions: Donnie Frank
when you get dji go if you want to fly anywhere anytime and this works great with litchi mission hub I did this first time and thats been 4 or 5 years ago and my inspire 1v2 just connects and flys no questions asked here is a link to do the hack if you can get it done you,ll like it DJI Inspire 1 hacks - How to remove NFZ, Height Limits, modify flight parameters and increase maximum speeds i use a samsung etab or a lenovo 8 they work fine i can see best on the samsung ,i might have to look at an i pad
Great link. Steve (AKA: digdat0) is a great guy and contributes more than his fair share to the community.

D
 
  • Like
Reactions: CactusJackSlade

New Posts

Members online

Forum statistics

Threads
22,319
Messages
210,851
Members
34,755
Latest member
henry044